Bug 1119043 - Maintaining a host fails on logs
Summary: Maintaining a host fails on logs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 14:33 UTC by Ori Gofen
Modified: 2016-05-26 01:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:29:04 UTC
oVirt Team: Infra


Attachments (Terms of Use)
vdsm+engine logs (644.36 KB, application/x-gzip)
2014-07-13 14:33 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-07-13 14:33:53 UTC
Created attachment 917626 [details]
vdsm+engine logs

Description of problem:
Maintaining a host fails on engine's logs

2014-07-13 17:28:11,273 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (DefaultQuartzScheduler_Worker-81) Cant find constructor for type org.ovirt.engine.core.bll.storage.DisconnectHos  tFromStoragePoolServersCommand with parameter types: [class org.ovirt.engine.core.common.action.HostStoragePoolParametersBase]
  2014-07-13 17:28:11,292 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (DefaultQuartzScheduler_Worker-81) An exception has occured while trying to create a command object for command D  isconnectHostFromStoragePoolServers: java.lang.RuntimeException: could not find matching constructor for Command class class org.ovirt.engine.core.bll.storage.DisconnectHostFromStoragePoo  lServersCommand

Version-Release number of selected component (if applicable):
beta

How reproducible:
100%

Steps to Reproduce:
1.put a host to maintenance 

Actual results:
the operation fails on logs

Expected results:
operation shouldn't fail on logs if successful 

Additional info:

Comment 1 Oved Ourfali 2014-07-14 10:55:25 UTC
Already fixed by Yair.

Comment 2 Oved Ourfali 2014-07-14 10:55:32 UTC
Already fixed by Yair.

Comment 3 Ori Gofen 2014-07-29 11:30:18 UTC
verified on beta.2

Comment 4 Sandro Bonazzola 2014-10-17 12:29:04 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.